Export history object collection in specified format for specified Packages Ask AIpost https://yourServer.jamfcloud.com/api/v1/packages/{id}/history/exportExport history object collection in specified format for specified PackagesPath ParamsidstringrequiredInstance ID of package history noteQuery Paramsexport-fieldsarray of stringsDefaults to Export fields parameter, used to change default order or ignore some of the response properties. Default is empty array, which means that all fields of the response entity will be serialized. Example: export-fields=id,usernameexport-fieldsADD stringexport-labelsarray of stringsDefaults to Export labels parameter, used to customize fieldnames/columns in the exported file. Default is empty array, which means that response properties names will be used. Number of the provided labels must match the number of export-fields Example: export-labels=identifier,name with matching: export-fields=id,usernameexport-labelsADD stringpageintegerDefaults to 0page-sizeintegerDefaults to 100sortarray of stringsDefaults to date:descSorts results by one or more criteria, following the format property:asc/desc. Default sort is ID:asc. If using multiple criteria, separate with commas.sort stringADD stringfilterstringFilters results. Use RSQL format for query. Allows for many fields, including ID, name, etc. Can be combined with paging and sorting. Default filter is an empty query and returns all results from the requested page.Body ParamsOptional. Can be used to override query parameters so that the URI does not exceed the 2,000 character limit.pageinteger | nullDefaults to 0pageSizeinteger | nullDefaults to 100sortarray of strings | nullDefaults to id:descSorting criteria in the format: [[:asc/desc]. Default direction when not stated is ascending.sort stringADD stringfilterstring | nullfieldsarray of objects | nullUsed to change default order or ignore some of the fields. When null or empty array, all fields will be exported.fieldsADD objectHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/csvAllowed:application/jsontext/csvResponses 200Export successful 400Could not export. List may contain a non-existing column or a duplicate. 503Export currently unavailable. All export-related resources are in use. Try again later.Updated 2 months ago